<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.TextCap.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextAutofit.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextShape.html" target="_top">Frames</a></li>
        <li><a href="TextShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface TextShape" class="title">Interface TextShape&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                           title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a>, java.lang.Iterable&lt;P&gt;,
                        <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                           title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;, <a
                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;, <a
                                href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                           title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                            title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Line.html"
                            title="interface in org.apache.poi.sl.usermodel">Line</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                            title="interface in org.apache.poi.sl.usermodel">TableCell</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                            title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFLine</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholder</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/model/Polygon.html"
                            title="class in org.apache.poi.hslf.model">Polygon</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFAutoShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFFreeformShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextBox</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">TextShape&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span>
extends <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
           title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;, java.lang.Iterable&lt;P&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextAutofit.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextAutofit</a></span></code>
                                    <div class="block">Specifies alist of auto-fit types.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextDirection</a></span></code>
                                    <div class="block">Vertical Text Types</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextPlaceholder</a></span></code>
                                    <div class="block">This enum represents a compromise for the handling of
                                        HSLF run types (see org.apache.poi.hslf.record.TextHeaderAtom) and
                                        XSLF placeholders (see org.apache.poi.xslf.usermodel.Placeholder).
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#appendText-java.lang.String-boolean-">appendText</a></span>(java.lang.String&nbsp;text,
                                    boolean&nbsp;newParagraph)</code>
                                    <div class="block">Adds the supplied text onto the end of the TextParagraphs,
                                        creating a new RichTextRun for it to sit in.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Insets2D.html"
                                        title="class in org.apache.poi.sl.usermodel">Insets2D</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getInsets--">getInsets</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getText--">getText</a></span>()</code>
                                    <div class="block">Returns the text contained in this text frame, which has been
                                        made safe
                                        for printing and other use.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextDirection</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextDirection--">getTextDirection</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextHeight--">getTextHeight</a></span>()</code>
                                    <div class="block">Compute the cumulative height occupied by the text</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextHeight-java.awt.Graphics2D-">getTextHeight</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Compute the cumulative height occupied by the text</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="type parameter in TextShape">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextPlaceholder</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextPlaceholder--">getTextPlaceholder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextRotation--">getTextRotation</a></span>()</code>
                                    <div class="block">The text rotation can be independent specified from the shape
                                        rotation.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.sl.usermodel">VerticalAlignment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getVerticalAlignment--">getVerticalAlignment</a></span>()</code>
                                    <div class="block">Returns the type of vertical alignment for the text.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getWordWrap--">getWordWrap</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#isHorizontalCentered--">isHorizontalCentered</a></span>()</code>
                                    <div class="block">Returns if the text is centered.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#resizeToFitText--">resizeToFitText</a></span>()</code>
                                    <div class="block">Adjust the size of the shape so it encompasses the text inside
                                        it.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#resizeToFitText-java.awt.Graphics2D-">resizeToFitText</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Adjust the size of the shape so it encompasses the text inside
                                        it.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setHorizontalCentered-java.lang.Boolean-">setHorizontalCentered</a></span>(java.lang.Boolean&nbsp;isCentered)</code>
                                    <div class="block">Sets if the paragraphs are horizontal centered</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setInsets-org.apache.poi.sl.usermodel.Insets2D-">setInsets</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Insets2D.html"
                                        title="class in org.apache.poi.sl.usermodel">Insets2D</a>&nbsp;insets)</code>
                                    <div class="block">Sets the shape margins</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setText-java.lang.String-">setText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Sets (overwrites) the current text.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setTextDirection-org.apache.poi.sl.usermodel.TextShape.TextDirection-">setTextDirection</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextDirection</a>&nbsp;orientation)</code>
                                    <div class="block">sets the vertical orientation</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setTextPlaceholder-org.apache.poi.sl.usermodel.TextShape.TextPlaceholder-">setTextPlaceholder</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextPlaceholder</a>&nbsp;placeholder)</code>
                                    <div class="block">Sets the text placeholder</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setTextRotation-java.lang.Double-">setTextRotation</a></span>(java.lang.Double&nbsp;rotation)</code>
                                    <div class="block">Sets the text rotation.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setVerticalAlignment-org.apache.poi.sl.usermodel.VerticalAlignment-">setVerticalAlignment</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.sl.usermodel">VerticalAlignment</a>&nbsp;vAlign)</code>
                                    <div class="block">Sets the type of vertical alignment for the text.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setWordWrap-boolean-">setWordWrap</a></span>(boolean&nbsp;wrap)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.SimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">SimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#createHyperlink--">createHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getGeometry--">getGeometry</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getHyperlink--">getHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getLineDecoration--">getLineDecoration</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getShadow--">getShadow</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getStrokeStyle--">getStrokeStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setFillColor-java.awt.Color-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setShapeType-org.apache.poi.sl.usermodel.ShapeType-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setStrokeStyle-java.lang.Object...-">setStrokeStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.geom.IAdjustableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.draw.geom.<a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                                        title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html#getAdjustValue-java.lang.String-">getAdjustValue</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PlaceableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>java.lang.String&nbsp;getText()</pre>
                                <div class="block">Returns the text contained in this text frame, which has been made
                                    safe
                                    for printing and other use.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text string for this textbox.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&nbsp;setText(java.lang.String&nbsp;text)</pre>
                                <div class="block">Sets (overwrites) the current text.
                                    Uses the properties of the first paragraph / textrun.
                                    Text paragraphs are split by \\r or \\n.
                                    New lines within text run are split by \\u000b
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - the text string used by this object.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the last text run of the - potential split - text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="appendText-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>appendText</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&nbsp;appendText(java.lang.String&nbsp;text,
                   boolean&nbsp;newParagraph)</pre>
                                <div class="block">Adds the supplied text onto the end of the TextParagraphs,
                                    creating a new RichTextRun for it to sit in.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - the text string to be appended.</dd>
                                    <dd><code>newParagraph</code> - if true, a new paragraph will be added,
                                        which will contain the added text
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextParagraphs</h4>
                                <pre>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="type parameter in TextShape">P</a>&gt;&nbsp;getTextParagraphs()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the TextParagraphs for this text box</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getInsets--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInsets</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Insets2D.html"
                                        title="class in org.apache.poi.sl.usermodel">Insets2D</a>&nbsp;getInsets()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text shape margin</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setInsets-org.apache.poi.sl.usermodel.Insets2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setInsets</h4>
                                <pre>void&nbsp;setInsets(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Insets2D.html"
                                        title="class in org.apache.poi.sl.usermodel">Insets2D</a>&nbsp;insets)</pre>
                                <div class="block">Sets the shape margins</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>insets</code> - the new shape margins</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextHeight</h4>
                                <pre>double&nbsp;getTextHeight()</pre>
                                <div class="block">Compute the cumulative height occupied by the text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cumulative height occupied by the text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextHeight-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextHeight</h4>
                                <pre>double&nbsp;getTextHeight(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Compute the cumulative height occupied by the text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - a customized graphics context, e.g. which contains font
                                        mappings
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cumulative height occupied by the text</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.17-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVerticalAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalAlignment</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.sl.usermodel">VerticalAlignment</a>&nbsp;getVerticalAlignment()</pre>
                                <div class="block">Returns the type of vertical alignment for the text.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of vertical alignment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVerticalAlignment-org.apache.poi.sl.usermodel.VerticalAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerticalAlignment</h4>
                                <pre>void&nbsp;setVerticalAlignment(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/VerticalAlignment.html"
                                        title="enum in org.apache.poi.sl.usermodel">VerticalAlignment</a>&nbsp;vAlign)</pre>
                                <div class="block">Sets the type of vertical alignment for the text.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>vAlign</code> - - the type of alignment.
                                        A <code>null</code> values unsets this property.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isHorizontalCentered--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHorizontalCentered</h4>
                                <pre>boolean&nbsp;isHorizontalCentered()</pre>
                                <div class="block">Returns if the text is centered.
                                    If true and if the individual paragraph settings allow it,
                                    the whole text block will be displayed centered, i.e. its left and right
                                    margin will be maximized while still keeping the alignment of the paragraphs
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if the text anchor is horizontal centered</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHorizontalCentered-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHorizontalCentered</h4>
                                <pre>void&nbsp;setHorizontalCentered(java.lang.Boolean&nbsp;isCentered)</pre>
                                <div class="block">Sets if the paragraphs are horizontal centered</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>isCentered</code> - true, if the paragraphs are horizontal centered
                                        A <code>null</code> values unsets this property.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWordWrap--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWordWrap</h4>
                                <pre>boolean&nbsp;getWordWrap()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether to wrap words within the bounding rectangle</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setWordWrap-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWordWrap</h4>
                                <pre>void&nbsp;setWordWrap(boolean&nbsp;wrap)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>wrap</code> - whether to wrap words within the bounding rectangle</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextDirection--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextDirection</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextDirection</a>&nbsp;getTextDirection()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>vertical orientation of the text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextDirection-org.apache.poi.sl.usermodel.TextShape.TextDirection-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextDirection</h4>
                                <pre>void&nbsp;setTextDirection(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextDirection</a>&nbsp;orientation)</pre>
                                <div class="block">sets the vertical orientation</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>orientation</code> - vertical orientation of the text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextRotation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextRotation</h4>
                                <pre>java.lang.Double&nbsp;getTextRotation()</pre>
                                <div class="block">The text rotation can be independent specified from the shape
                                    rotation.
                                    For XSLF this can be an arbitrary degree, for HSLF the degree is given in steps of
                                    90 degrees
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text rotation in degrees, returns null if no rotation is given</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextRotation-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextRotation</h4>
                                <pre>void&nbsp;setTextRotation(java.lang.Double&nbsp;rotation)</pre>
                                <div class="block">Sets the text rotation.
                                    For XSLF this can ben an arbitrary degree, for HSLF the rotation is rounded to next
                                    90 degree step
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rotation</code> - the text rotation, or null to unset the rotation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextPlaceholder-org.apache.poi.sl.usermodel.TextShape.TextPlaceholder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextPlaceholder</h4>
                                <pre>void&nbsp;setTextPlaceholder(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextPlaceholder</a>&nbsp;placeholder)</pre>
                                <div class="block">Sets the text placeholder</div>
                            </li>
                        </ul>
                        <a name="getTextPlaceholder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextPlaceholder</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextPlaceholder</a>&nbsp;getTextPlaceholder()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text placeholder</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resizeToFitText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resizeToFitText</h4>
                                <pre>java.awt.geom.Rectangle2D&nbsp;resizeToFitText()</pre>
                                <div class="block">Adjust the size of the shape so it encompasses the text inside it.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a <code>Rectangle2D</code> that is the bounds of this shape.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.17-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resizeToFitText-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>resizeToFitText</h4>
                                <pre>java.awt.geom.Rectangle2D&nbsp;resizeToFitText(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Adjust the size of the shape so it encompasses the text inside it.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - a customized graphics context, e.g. which contains font
                                        mappings
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a <code>Rectangle2D</code> that is the bounds of this shape.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.17-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.TextCap.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextAutofit.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextShape.html" target="_top">Frames</a></li>
        <li><a href="TextShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
